<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" 
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" 
	layout:decorate="~{fragments/layout_transaksi}">
<head>
	<title>Pengajuan</title>
</head>
<body>

	<div layout:fragment="content">
	<h1>Pengajuan</h1>
    <table width="100%" cellpadding="10">
        <thead>
            <tr>
                <td bgcolor="lightblue">
                    
                    <button class="btn btn-success" id="newtrans" onclick="newtrans()"> Nominal Pinjaman</button>
                    <button class="btn btn-warning"  onclick="riwayat()"> Riwayat Pinjaman</button>

                    <input  type="hidden" id="idtransaksi">
                </td>
            </tr>
        </thead>
        <tbody >
            <tr>
                <td id="datadetail"></td>
            </tr>
        </tbody>
            
        </table>
        <script>
            
			datadetail();
		    
            function datadetail(){
                var idtrans = $('#idtransaksi').val()
                $.ajax({
                    url: '/transaksi/pengajuan/get/'+ idtrans,
                    type: 'get',
                    contentType:'application/json',
                    success:function(result){
                        
                        var str='<table class="table">'
						str += '<tr>'
						str += '<th colspan="2">Nominal Peminjaman</th>'
						str += '</tr>'
					for(i=0; i<result.length; i++){
						str += '<tr>'
						str += '<td>'+result[i].peminjaman+'</td>'
                        str += '<td><button class="btn btn-primary"  onclick=pengajuan() >Ajukan Pinjaman</button></td>'
						str += '</tr>'
                        str += '</table>'
					}
					console.log(idtrans)
					$('#datadetail').html(str)
                    }
                })
            }
            function riwayat(){
                
                $.ajax({
                    url: '/pinjaman/pinjamancus/',
                    type: 'get',
                    contentType:'application/json',
                    success:function(result){
                        
                        var str='<table class="table">'
						str += '<tr>'
						str += '<th>Nama Peminjam</th>'
						str += '<th>Nominal Peminjaman</th>'
						str += '<th>Tanggal</th>'
						str += '</tr>'
					for(i=0; i<result.length; i++){
						str += '<tr>'
						str += '<td>'+result[i].users.fullname+'</td>'
						str += '<td>'+result[i].pengajuan.peminjaman+'</td>'
						str += '<td>'+result[i].pengajuan.tanggal+'</td>'
						str += '</tr>'
                        
					}
					str += '</table>'
					$('#datadetail').html(str)
                    }
                })
            }

        function newtrans(){
            var form = '<table class="table-borderless">'
			form += '<tr>'
			form += '<td>Nominal pinjaman</td>'
			form += '<td><input type="number" size="10"  id="peminjaman" class="form-control"></td>'
			form += '<td><p id="val" style="color:red;"></p></td>'
			form += '</tr>'
            form += '<tr>'
			form += '<td colspan="3"> <button class="btn btn-primary" onclick="simpan()">Simpan</button> </td>'
			form += '</tr>'
            form += '</table>'
            $('#mymodal').modal('show')
			$('.modal-title').html('Pengajuan nominal pinjaman')
			$('.modal-body').html(form) 
            
        } 
        function simpan() {
			var today = new Date();
			var dd = String(today.getDate()).padStart(2, '0');
			var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
			var yyyy = today.getFullYear();
			var hh = String(today.getHours()).padStart(2,'0');
			var mi = String(today.getMinutes()).padStart(2, '0');
			var ss = String(today.getSeconds()).padStart(2, '0');
			today = '"'+yyyy+'-'+mm+'-'+dd+' '+hh+':'+mi+':'+ss+'"'
		
			if($('#peminjaman').val()< 500000){
                document.getElementById("val").innerHTML='Minimal Pinjaman 500.000'
            }else{
            	var dnow = Date.now()
            	var data ='{'
                	data += '"reference":"'+dnow+'",'
                	data += '"tanggal": '+today+', '
                	data += '"peminjaman":'+$('#peminjaman').val()
                	data += '}'

                	$.ajax({
                    	url: '/transaksi/pengajuan/',
                    	type: 'post',
                    	data: data,
                    	contentType: 'application/json',
                    	success:function(result){
                        	$('#reference').val(result.reference)
					    	$('#idtransaksi').val(result.id)
                        	$('#mymodal').modal('hide')
                        	datadetail();
                        	$('#pinjaman').prop('disabled', false)
                    	}
                	})
                }
        }   
        function pengajuan(){
		var data ='{'
		data += '"id_pengajuan":'+$('#idtransaksi').val()+','
		data += '"id_user":1'
		data += '}'
		console.log($('#idtransaksi').val())
		console.log(data)
			$.ajax({
				url: '/transaksi/pinjaman',
				type: 'post',
				data: data,
				contentType: 'application/json',
				success: function(result){
					console.log(result)
					alert("Pengajuan Pinjaman Berhasil")
				}
			})
		}

        </script>
	
